Package org.flowable.bpmn.model

# Class Operation

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Operation

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Operation extends BaseElement

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `errorMessageRef`
  `protected String`
  `implementationRef`
  `protected String`
  `inMessageRef`
  `protected String`
  `name`
  `protected String`
  `outMessageRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Operation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Operation`
  `clone()`
  `List<String>`
  `getErrorMessageRef()`
  `String`
  `getImplementationRef()`
  `String`
  `getInMessageRef()`
  `String`
  `getName()`
  `String`
  `getOutMessageRef()`
  `void`
  `setErrorMessageRef(List<String> errorMessageRef)`
  `void`
  `setImplementationRef(String implementationRef)`
  `void`
  `setInMessageRef(String inMessageRef)`
  `void`
  `setName(String name)`
  `void`
  `setOutMessageRef(String outMessageRef)`
  `void`
  `setValues(Operation otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### implementationRef

    protected String implementationRef

  - ### inMessageRef

    protected String inMessageRef

  - ### outMessageRef

    protected String outMessageRef

  - ### errorMessageRef

    protected List<String> errorMessageRef

- ## Constructor Details

  - ### Operation

    public Operation()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getImplementationRef

    public String getImplementationRef()

  - ### setImplementationRef

    public void setImplementationRef(String implementationRef)

  - ### getInMessageRef

    public String getInMessageRef()

  - ### setInMessageRef

    public void setInMessageRef(String inMessageRef)

  - ### getOutMessageRef

    public String getOutMessageRef()

  - ### setOutMessageRef

    public void setOutMessageRef(String outMessageRef)

  - ### getErrorMessageRef

    public List<String> getErrorMessageRef()

  - ### setErrorMessageRef

    public void setErrorMessageRef(List<String> errorMessageRef)

  - ### clone

    public Operation clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Operation otherElement)